## sentry-python 0.12.2

=== Makefile ===
SHELL = /bin/bash

VENV_PATH = .venv

help:
	@echo "Thanks for your interest in the Sentry Python SDK!"
	@echo
	@echo "make lint: Run linters"
	@echo "make test: Run basic tests (not testing most integrations)"
	@echo "make test-all: Run ALL tests (slow, closest to CI)"
	@echo "make format: Run code formatters (destructive)"
	@echo
	@echo "Also make sure to read ./CONTRIBUTING.md"
	@false

.venv:
	virtualenv -ppython3 $(VENV_PATH)
	$(VENV_PATH)/bin/pip install tox

dist: .venv
	rm -rf dist build
	$(VENV_PATH)/bin/python setup.py sdist bdist_wheel

.PHONY: dist

format: .venv
	$(VENV_PATH)/bin/tox -e linters --notest
	.tox/linters/bin/black .
.PHONY: format

test: .venv
	@$(VENV_PATH)/bin/tox -e py2.7,py3.7
.PHONY: test

test-all: .venv
	@TOXPATH=$(VENV_PATH)/bin/tox sh ./scripts/runtox.sh
.PHONY: test-all

check: lint test
.PHONY: check

lint: .venv
	@set -e && $(VENV_PATH)/bin/tox -e linters || ( \
		echo "================================"; \
		echo "Bad formatting? Run: make format"; \
		echo "================================"; \
		false)

.PHONY: lint

apidocs: .venv
	@$(VENV_PATH)/bin/pip install --editable .
	@$(VENV_PATH)/bin/pip install -U -r ./docs-requirements.txt
	@$(VENV_PATH)/bin/sphinx-build -W -b html docs/ docs/_build
.PHONY: apidocs

apidocs-hotfix: apidocs
	@$(VENV_PATH)/bin/pip install ghp-import
	@$(VENV_PATH)/bin/ghp-import -pf docs/_build
.PHONY: apidocs-hotfix

install-zeus-cli:
	npm install -g @zeus-ci/cli
.PHONY: install-zeus-cli

travis-upload-docs: apidocs install-zeus-cli
	cd docs/_build && zip -r gh-pages ./
	zeus upload -t "application/zip+docs" docs/_build/gh-pages.zip \
		|| [[ ! "$(TRAVIS_BRANCH)" =~ ^release/ ]]
.PHONY: travis-upload-docs

travis-upload-dist: dist install-zeus-cli
	zeus upload -t "application/zip+wheel" dist/* \
		|| [[ ! "$(TRAVIS_BRANCH)" =~ ^release/ ]]
.PHONY: travis-upload-dist

=== debian/changelog ===
sentry-python (0.12.2-1) unstable; urgency=medium

  * New upstream release

 -- William Grzybowski <william@grzy.org>  Mon, 23 Sep 2019 16:44:48 -0300

sentry-python (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Add new dependencies to Build-Depends

 -- William Grzybowski <william@grzy.org>  Wed, 18 Sep 2019 12:38:30 -0300

sentry-python (0.9.5-2) unstable; urgency=medium

  * Upload to unstable
  * d/control:
     - Change Maintainer to DPMT
     - Change Vcs-* to DPMT
     - Update Standards-Version to 4.4.0
  * d/gbp.conf: no longer needed in DPMT repository
  * d/rules: do not hard-code python version

 -- William Grzybowski <william@grzy.org>  Mon, 16 Sep 2019 10:56:44 -0300

sentry-python (0.9.5-1) experimental; urgency=medium

  * Initial release (Closes: #931461)

 -- William Grzybowski <william@grzy.org>  Thu, 04 Jul 2019 21:10:34 -0300

=== debian/control ===
Source: sentry-python
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
Uploaders: William Grzybowski <william@grzy.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-blinker,
               python3-certifi,
               python3-eventlet,
               python3-gevent,
               python3-setuptools,
               python3-flask-login,
               python3-hypothesis,
               python3-pytest,
               python3-pytest-localserver,
               python3-pytest-xdist,
               python3-urllib3,
               python3-werkzeug
Standards-Version: 4.4.0
Homepage: https://github.com/getsentry/sentry-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/sentry-python
Vcs-Git: https://salsa.debian.org/python-team/modules/sentry-python.git
Testsuite: autopkgtest-pkg-python

Package: python3-sentry-sdk
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-certifi,
         python3-urllib3
Description: New Python SDK for Sentry.io (Python 3)
 Python client for Sentry. It provides full out-of-the-box support for
 many of the popular frameworks, including Django, and Flask. Raven also
 includes drop-in support for any WSGI-compatible web application.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=sentry_sdk
# Disable tests failing mostly because of internet access (httpbin.org)
export PYBUILD_TEST_ARGS=-k '\
	not test_basic and \
	not test_403_not_captured and \
	not test_half_initialized and \
	not test_httplib_misuse and \
	not test_crumb_capture and \
	not test_errors and \
        not test_proxy_bothselect_httpenv and \
	not test_proxy_httpselect_httpsenv and \
	not test_proxy_none_noenv and \
	not test_proxy_http_fallback_http and \
	not test_proxy_none_httpenv_fallback and \
	not test_transport_works \
	'
# Remove directory created while running tests on build
export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/lib/python3*/dist-packages/.hypothesis

%:
	dh $@ --with python3 --buildsystem=pybuild

## sentry-python 0.13.2

=== debian/changelog ===
sentry-python (0.13.2-1) unstable; urgency=medium

  * Team Upload.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ William Grzybowski ]
  * New upstream version (Closes: #977095)

  [ Stefano Rivera ]
  * Update Maintainer to Debian Python Team.
  * Patch: Remove failing pytest.py filename check from test_general.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Declare Rules-Requires-Root: no.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Jan 2021 22:33:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sentry-python
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: William Grzybowski <william@grzy.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -18,11 +18,12 @@
                python3-pytest-xdist,
                python3-urllib3,
                python3-werkzeug
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/getsentry/sentry-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sentry-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/sentry-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sentry-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/sentry-python.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-sentry-sdk
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	not test_httplib_misuse and \
 	not test_crumb_capture and \
 	not test_errors and \
-        not test_proxy_bothselect_httpenv and \
+	not test_proxy_bothselect_httpenv and \
 	not test_proxy_httpselect_httpsenv and \
 	not test_proxy_none_noenv and \
 	not test_proxy_http_fallback_http and \

## sentry-python 1.4.3

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	@echo "make test: Run basic tests (not testing most integrations)"
 	@echo "make test-all: Run ALL tests (slow, closest to CI)"
 	@echo "make format: Run code formatters (destructive)"
+	@echo "make aws-lambda-layer-build: Build serverless ZIP dist package"
 	@echo
 	@echo "Also make sure to read ./CONTRIBUTING.md"
 	@false
@@ -59,17 +60,8 @@
 	@$(VENV_PATH)/bin/ghp-import -pf docs/_build
 .PHONY: apidocs-hotfix
 
-install-zeus-cli:
-	npm install -g @zeus-ci/cli
-.PHONY: install-zeus-cli
-
-travis-upload-docs: apidocs install-zeus-cli
-	cd docs/_build && zip -r gh-pages ./
-	zeus upload -t "application/zip+docs" docs/_build/gh-pages.zip \
-		|| [[ ! "$(TRAVIS_BRANCH)" =~ ^release/ ]]
-.PHONY: travis-upload-docs
-
-travis-upload-dist: dist install-zeus-cli
-	zeus upload -t "application/zip+wheel" dist/* \
-		|| [[ ! "$(TRAVIS_BRANCH)" =~ ^release/ ]]
-.PHONY: travis-upload-dist
+aws-lambda-layer-build: dist
+	$(VENV_PATH)/bin/pip install urllib3
+	$(VENV_PATH)/bin/pip install certifi
+	$(VENV_PATH)/bin/python -m scripts.build_awslambda_layer
+.PHONY: aws-lambda-layer-build

=== debian/changelog ===
sentry-python (1.4.3-1) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Eberhard Beilharz ]
  * New upstream release 1.4.2 (Closes: #990232)

 -- Eberhard Beilharz <eb1@sil.org>  Tue, 28 Sep 2021 17:16:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: William Grzybowski <william@grzy.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
+               python3-all:any,
                python3-blinker,
                python3-certifi,
                python3-eventlet,
@@ -17,6 +17,9 @@
                python3-pytest-localserver,
                python3-pytest-xdist,
                python3-urllib3,
+               python3-jsonschema,
+               python3-executing,
+               python3-asttokens,
                python3-werkzeug
 Standards-Version: 4.5.1
 Homepage: https://github.com/getsentry/sentry-python

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,19 @@
 	not test_httplib_misuse and \
 	not test_crumb_capture and \
 	not test_errors and \
-	not test_proxy_bothselect_httpenv and \
-	not test_proxy_httpselect_httpsenv and \
-	not test_proxy_none_noenv and \
-	not test_proxy_http_fallback_http and \
-	not test_proxy_none_httpenv_fallback and \
-	not test_transport_works \
+	not test_proxy and \
+	not test_transport_works and \
+	not test_transport_infinite_loop and \
+	not test_simple_rate_limits and \
+	not test_data_category_limits and \
+	not test_complex_limits_without_data_category and \
+	not test_handled_exception and \
+	not test_unhandled_exception and \
+	not test_timeout_error and \
+	not test_performance_no_error and \
+	not test_performance_error and \
+	not test_traces_sampler_gets_correct_values_in_sampling_context and \
+	not test_session_mode_defaults_to_request_mode_in_wsgi_handler \
 	'
 # Remove directory created while running tests on build
 export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/lib/python3*/dist-packages/.hypothesis

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sentry-python-$1.tar.gz%" \
   https://github.com/getsentry/sentry-python/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## sentry-python 1.5.12

=== debian/changelog ===
sentry-python (1.5.12-1) unstable; urgency=medium

  * Team upload.

  [ Bastian Germann ]
  * Replace Salsa config by the CI team's version

  [ Carsten Schoenert ]
  * d/gbp.conf: Add git-buildpackage config
  * New upstream version 1.5.12
  * d/copyright: Update years and upstream name
  * d/control: Running wrap-and-sort -ast
  * d/control: Split of Build-Depends-Indep
  * d/control: Increase Standards-Version to 4.6.1
  * d/{docs,examples}: Renaming to specific sequencer naming
  * d/control: Remove obsolet Testsuite field
  * d/control: Remove python3-eventlet from B-D
  * d/rules: Adding tests to ignore due pytest7 behavior
  * d/README.source: Adding information about source package
  * d/README.source: Adding information about newly ignored tests
  * autopkgtest: Add a first running setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Jun 2022 16:08:50 +0200

=== debian/control ===
Source: sentry-python
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 William Grzybowski <william@grzy.org>,
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-asttokens,
 python3-blinker,
 python3-certifi,
 python3-executing,
 python3-flask-login,
 python3-gevent,
 python3-hypothesis,
 python3-jsonschema,
 python3-pytest,
 python3-pytest-localserver,
 python3-pytest-xdist,
 python3-setuptools,
 python3-urllib3,
 python3-werkzeug,
Standards-Version: 4.6.1
Homepage: https://github.com/getsentry/sentry-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/sentry-python
Vcs-Git: https://salsa.debian.org/python-team/packages/sentry-python.git
Rules-Requires-Root: no

Package: python3-sentry-sdk
Architecture: all
Depends:
 python3-certifi,
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Description: New Python SDK for Sentry.io (Python 3)
 Python client for Sentry. It provides full out-of-the-box support for
 many of the popular frameworks, including Django, and Flask. Raven also
 includes drop-in support for any WSGI-compatible web application.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,40 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
+# All these tests are needed to ignore too due different behavior of pytest >=7.0.
+# Variable can be removed once https://github.com/pytest-dev/pytest/issues/9621
+# is fixed.
+PYBUILD_TEST_ARGS_PYTEST7_IGNORE=\
+	and not test_auto_session_tracking_with_aggregates \
+	and not test_keyboard_interrupt_is_captured \
+	and not test_transaction_no_error \
+	and not test_transaction_with \
+	and not test_start_span_to_start_transaction \
+	and not test_tracestate_computation \
+	and not test_doesnt_add_new_tracestate_to_transaction_when_none_given \
+	and not test_adds_tracestate_to_transaction_when_to_traceparent_called \
+	and not test_adds_tracestate_to_transaction_when_getting_trace_context \
+	and not test_tracestate_is_immutable_once_set \
+	and not test_to_traceparent \
+	and not test_to_tracestate \
+	and not test_sentrytrace_extraction \
+	and not test_tracestate_extraction \
+	and not test_iter_headers \
+	and not test_tracestate_reinflation \
+	and not test_continue_from_headers \
+	and not test_memory_usage \
+	and not test_transactions_do_not_go_through_before_send \
+	and not test_start_span_after_finish \
+	and not test_span_trimming \
+	and not test_transaction_naming \
+	and not test_start_transaction \
+	and not test_finds_transaction_on_scope \
+	and not test_finds_transaction_when_descendent_span_is_on_scope \
+	and not test_finds_orphan_span_on_scope \
+	and not test_finds_non_orphan_span_on_scope \
+	and not test_start_transaction \
+	and not test_circular_references \
+	and not test_has_tracestate_enabled \
 
 export PYBUILD_NAME=sentry_sdk
 # Disable tests failing mostly because of internet access (httpbin.org)
@@ -23,6 +58,7 @@
 	not test_performance_error and \
 	not test_traces_sampler_gets_correct_values_in_sampling_context and \
 	not test_session_mode_defaults_to_request_mode_in_wsgi_handler \
+	$(PYBUILD_TEST_ARGS_PYTEST7_IGNORE) \
 	'
 # Remove directory created while running tests on build
 export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/lib/python3*/dist-packages/.hypothesis

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr

## sentry-python 1.6.0

=== debian/changelog ===
sentry-python (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Jun 2022 12:34:14 +0200

sentry-python (1.5.12-3) unstable; urgency=medium

  * Team upload.
  * d/t/control: Add missing package python3-all

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Jun 2022 23:32:57 +0200

sentry-python (1.5.12-2) unstable; urgency=medium

  * Team upload.
  * Adding patch from patch-queue branch
    Added patch:
    debian-hacks/docs-Use-local-inventory-for-Python3.patch
  * d/control: Add more build dependencies
  * d/control: Add new package python-sentry-sdk-doc
  * d/rules: Add overrides to build the -doc package too
  * d/t/control: Adjust deps to exclude not needed packages

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Jun 2022 07:32:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -64,4 +64,15 @@
 export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/lib/python3*/dist-packages/.hypothesis
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-sentry-sdk-doc/usr/share/doc/python-sentry-sdk-doc/html
+	dh_sphinxdoc
+endif
+
+override_dh_auto_clean:
+	rm -rf docs/.build
+	dh_auto_clean
+

## sentry-python 1.7.0

=== debian/changelog ===
sentry-python (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.0
  * d/rules: Remove cruft file within documentation
  * d/*.doc-base: Add doc-base-registration sequencer

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 11 Jul 2022 20:44:14 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-asttokens,
  python3-blinker,
  python3-certifi,
+ python3-doc,
  python3-executing,
  python3-flask-login,
  python3-gevent,
@@ -21,6 +22,10 @@
  python3-pytest-localserver,
  python3-pytest-xdist,
  python3-setuptools,
+ python3-sphinx,
+ python3-sphinx-autodoc-typehints,
+ python3-sphinx-rtd-theme,
+ python3-typing-extensions,
  python3-urllib3,
  python3-werkzeug,
 Standards-Version: 4.6.1
@@ -28,6 +33,20 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sentry-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/sentry-python.git
 Rules-Requires-Root: no
+
+Package: python-sentry-sdk-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: New Python SDK for Sentry.io (Documentation)
+ Python client for Sentry. It provides full out-of-the-box support for
+ many of the popular frameworks, including Django, and Flask. Raven also
+ includes drop-in support for any WSGI-compatible web application.
+ .
+ This package contains the documentation.
 
 Package: python3-sentry-sdk
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -69,10 +69,10 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-sentry-sdk-doc/usr/share/doc/python-sentry-sdk-doc/html
+	rm $(CURDIR)/debian/python-sentry-sdk-doc/usr/share/doc/python-sentry-sdk-doc/html/.nojekyll
 	dh_sphinxdoc
 endif
 
 override_dh_auto_clean:
 	rm -rf docs/.build
 	dh_auto_clean
-

## sentry-python 1.9.0

=== debian/changelog ===
sentry-python (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.9.0
  * Rebuild patch queue from patch-queue branch
    Added patch:
    debian-hacks/Do-assignment-only-if-key-is-alive-in-capture_event.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 Jul 2022 11:13:53 +0200

## sentry-python 1.9.4

=== debian/changelog ===
sentry-python (1.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.9.4
  * Rebuild patch queue from patch-queue branch
    Removed patch:
    debian-hacks/Do-assignment-only-if-key-is-alive-in-capture_event.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 15 Aug 2022 10:46:37 +0200

sentry-python (1.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.9.3
  * python3-sentry-sdk: Drop packaging of examples

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 11 Aug 2022 00:21:43 +0200

## sentry-python 1.9.10

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	@echo "make test: Run basic tests (not testing most integrations)"
 	@echo "make test-all: Run ALL tests (slow, closest to CI)"
 	@echo "make format: Run code formatters (destructive)"
-	@echo "make aws-lambda-layer-build: Build serverless ZIP dist package"
+	@echo "make aws-lambda-layer: Build AWS Lambda layer directory for serverless integration"
 	@echo
 	@echo "Also make sure to read ./CONTRIBUTING.md"
 	@false
@@ -19,9 +19,8 @@
 	$(VENV_PATH)/bin/pip install tox
 
 dist: .venv
-	rm -rf dist build
+	rm -rf dist dist-serverless build
 	$(VENV_PATH)/bin/python setup.py sdist bdist_wheel
-
 .PHONY: dist
 
 format: .venv
@@ -46,7 +45,6 @@
 		echo "Bad formatting? Run: make format"; \
 		echo "================================"; \
 		false)
-
 .PHONY: lint
 
 apidocs: .venv
@@ -60,8 +58,8 @@
 	@$(VENV_PATH)/bin/ghp-import -pf docs/_build
 .PHONY: apidocs-hotfix
 
-aws-lambda-layer-build: dist
+aws-lambda-layer: dist
 	$(VENV_PATH)/bin/pip install urllib3
 	$(VENV_PATH)/bin/pip install certifi
-	$(VENV_PATH)/bin/python -m scripts.build_awslambda_layer
-.PHONY: aws-lambda-layer-build
+	$(VENV_PATH)/bin/python -m scripts.build_aws_lambda_layer
+.PHONY: aws-lambda-layer

=== debian/changelog ===
sentry-python (1.9.10-2) unstable; urgency=medium

  * Team upload.
  * d/rules: rm -> rm -f when removing test_flask.py
  * Add missing Depends on python3-pytest-forked

 -- Scott Talbert <swt@techie.net>  Fri, 02 Dec 2022 12:19:30 -0500

sentry-python (1.9.10-1) unstable; urgency=medium

  * Team upload.
  * [e07fe4e] New upstream version 1.9.10
  * [3994f23] d/rules: Work around incompatible tests with werkzeug
  * [dd432c5] autopkgtest: Ignore tests/integrations/flask/test_flask.py
    The test of this file will fail with werkzeug >= 2.1! Upstream still set a
    requirement on Werkzeug < 2.1.0.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 12 Oct 2022 08:35:05 +0200

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-hypothesis,
  python3-jsonschema,
  python3-pytest,
+ python3-pytest-forked,
  python3-pytest-localserver,
  python3-pytest-xdist,
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,9 @@
 # Remove directory created while running tests on build
 export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/lib/python3*/dist-packages/.hypothesis
 
+# The tests within test_flask.py will failing with werkzeug >= 2.1
+export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/integrations/flask/test_flask.py
+
 %:
 	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-asttokens,
 python3-blinker,
 python3-certifi,
 python3-executing,
 python3-flask-login,
 python3-gevent,
 python3-hypothesis,
 python3-jsonschema,
 python3-pytest,
 python3-pytest-forked,
 python3-pytest-localserver,
 python3-pytest-xdist,
 python3-urllib3,
 python3-werkzeug,
 @,
Restrictions: allow-stderr

## sentry-python 1.39.1

=== debian/changelog ===
sentry-python (1.39.1-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Move over to git mode on GitHub
  * New upstream version 1.39.1
    (Closes: #1058422)
  * Rebuild patch queue from patch-queue branch
    Added patch:
    debian-hacks/docs-Use-alabaster-theme.patch
  * d/control: Adjust B-D, adding BuildProfileSpecs
  * d/rules: Adjust tests to ignore
  * d/rules: Remove removal of test_flask.py
  * d/control: Drop manually added packages in python3-sentry-sdk
  * d/control: Increase Standards-Version to 4.6.2
    No further changes needed.
  * d/rules: Adjust/improve sphinxdoc build
  * d/rules: Drop --with option in default target
  * autopkgtest: Adding additional needed dependency
  * autopkgtest: Adjust test setup
  * d/copyright: Update license and year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 08 Jan 2024 21:26:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,28 +8,30 @@
  debhelper-compat (= 13),
  python3-all,
 Build-Depends-Indep:
- dh-python,
- python3-asttokens,
- python3-blinker,
- python3-certifi,
- python3-doc,
- python3-executing,
- python3-flask-login,
- python3-gevent,
- python3-hypothesis,
- python3-jsonschema,
- python3-pytest,
- python3-pytest-forked,
- python3-pytest-localserver,
- python3-pytest-xdist,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ python3-asttokens <!nocheck>,
+ python3-blinker <!nocheck>,
+ python3-certifi <!nocheck>,
+ python3-doc <!nodoc>,
+ python3-executing <!nocheck>,
+ python3-flask-login <!nocheck>,
+ python3-gevent <!nocheck>,
+ python3-hypothesis <!nocheck>,
+ python3-jsonschema <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-forked <!nocheck>,
+ python3-pytest-localserver <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
+ python3-responses <!nocheck>,
  python3-setuptools,
- python3-sphinx,
- python3-sphinx-autodoc-typehints,
- python3-sphinx-rtd-theme,
- python3-typing-extensions,
- python3-urllib3,
- python3-werkzeug,
-Standards-Version: 4.6.1
+ python3-sphinx <!nodoc>,
+ python3-sphinx-autodoc-typehints <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-typing-extensions <!nodoc>,
+ python3-urllib3 <!nocheck>,
+ python3-werkzeug <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/getsentry/sentry-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sentry-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/sentry-python.git
@@ -52,8 +54,6 @@
 Package: python3-sentry-sdk
 Architecture: all
 Depends:
- python3-certifi,
- python3-urllib3,
  ${misc:Depends},
  ${python3:Depends},
 Description: New Python SDK for Sentry.io (Python 3)

=== debian/tests/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  python3-pytest-forked,
  python3-pytest-localserver,
  python3-pytest-xdist,
+ python3-responses,
  python3-urllib3,
  python3-werkzeug,
  @,

## sentry-python 1.39.2

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 dist: .venv
 	rm -rf dist dist-serverless build
+	$(VENV_PATH)/bin/pip install wheel setuptools
 	$(VENV_PATH)/bin/python setup.py sdist bdist_wheel
 .PHONY: dist
 
@@ -29,7 +30,7 @@
 .PHONY: format
 
 test: .venv
-	@$(VENV_PATH)/bin/tox -e py2.7,py3.7
+	@$(VENV_PATH)/bin/tox -e py3.9
 .PHONY: test
 
 test-all: .venv
@@ -50,7 +51,7 @@
 apidocs: .venv
 	@$(VENV_PATH)/bin/pip install --editable .
 	@$(VENV_PATH)/bin/pip install -U -r ./docs-requirements.txt
-	@$(VENV_PATH)/bin/sphinx-build -W -b html docs/ docs/_build
+	@$(VENV_PATH)/bin/sphinx-build -vv -W -b html docs/ docs/_build
 .PHONY: apidocs
 
 apidocs-hotfix: apidocs
@@ -59,7 +60,6 @@
 .PHONY: apidocs-hotfix
 
 aws-lambda-layer: dist
-	$(VENV_PATH)/bin/pip install urllib3
-	$(VENV_PATH)/bin/pip install certifi
+	$(VENV_PATH)/bin/pip install -r aws-lambda-layer-requirements.txt
 	$(VENV_PATH)/bin/python -m scripts.build_aws_lambda_layer
 .PHONY: aws-lambda-layer

=== debian/changelog ===
sentry-python (1.39.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Build-depend on python3-pytest-asyncio <!nocheck>.
  * Add autopkg test dependency on python3-pytest-asyncio.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jan 2024 08:33:45 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  python3-hypothesis <!nocheck>,
  python3-jsonschema <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
  python3-pytest-forked <!nocheck>,
  python3-pytest-localserver <!nocheck>,
  python3-pytest-xdist <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,12 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
+SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
 
 # All these tests are needed to ignore too due different behavior of pytest >=7.0.
 # Variable can be removed once https://github.com/pytest-dev/pytest/issues/9621
@@ -35,6 +42,7 @@
 	and not test_start_transaction \
 	and not test_circular_references \
 	and not test_has_tracestate_enabled \
+	and not test_default_release \
 
 export PYBUILD_NAME=sentry_sdk
 # Disable tests failing mostly because of internet access (httpbin.org)
@@ -57,21 +65,27 @@
 	not test_performance_no_error and \
 	not test_performance_error and \
 	not test_traces_sampler_gets_correct_values_in_sampling_context and \
-	not test_session_mode_defaults_to_request_mode_in_wsgi_handler \
+	not test_session_mode_defaults_to_request_mode_in_wsgi_handler and \
+	not test_socks_proxy and \
+	not test_omit_url_data_if_parsing_fails and \
+	not test_omit_url_data_if_parsing_fails and \
+	not test_error_has_new_trace_context_performance_disabled and \
+	not test_error_has_new_trace_context_performance_enabled and \
+	not test_error_has_existing_trace_context_performance_enabled and \
+	not test_error_has_existing_trace_context_performance_disabled and \
+	not test_getaddrinfo_trace and \
+	not test_create_connection_trace \
 	$(PYBUILD_TEST_ARGS_PYTEST7_IGNORE) \
 	'
 # Remove directory created while running tests on build
 export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/lib/python3*/dist-packages/.hypothesis
 
-# The tests within test_flask.py will failing with werkzeug >= 2.1
-export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/integrations/flask/test_flask.py
-
 %:
-	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-sentry-sdk-doc/usr/share/doc/python-sentry-sdk-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-sentry-sdk-doc/usr/share/doc/python-sentry-sdk-doc/html
 	rm $(CURDIR)/debian/python-sentry-sdk-doc/usr/share/doc/python-sentry-sdk-doc/html/.nojekyll
 	dh_sphinxdoc
 endif

=== debian/tests/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3-hypothesis,
  python3-jsonschema,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-pytest-forked,
  python3-pytest-localserver,
  python3-pytest-xdist,

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/getsentry/sentry-python.git \
      refs/tags/?v?(\d[\d.]*)

## sentry-python 1.40.4

=== debian/changelog ===
sentry-python (1.40.4-3) unstable; urgency=medium

  * Ignore failing autopkg test.
  * Team upload.

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 22 Apr 2024 15:24:32 +0200

sentry-python (1.40.4-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 24 Mar 2024 10:27:55 +0100

sentry-python (1.40.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.40.4. (Newer versions don't pass all tests.)
  * Fixes test regression with pytest 8 (Closes: #1063986, #1066754)

 -- Christoph Berg <myon@debian.org>  Fri, 22 Mar 2024 20:45:37 +0000

## sentry-python 2.16.0

=== debian/changelog ===
sentry-python (2.16.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.16.0
    - Includes fix for [CVE-2024-40647] (Closes: #1083189)
  * debian/rules: ignore upstream pytest.ini
  * Build-Depends: add python3-brotli
  * debian/rules: skip a few more tests
  * Drop explicit debian/tests in favor of `Testsuite: autopkgtest-pkg-pybuild`
  * Fix documentation build (Closes: #1077458)
  * debian/rules: skip 1 test that fails under autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 08 Oct 2024 15:39:25 -0300

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  dh-sequence-sphinxdoc,
  python3-asttokens <!nocheck>,
  python3-blinker <!nocheck>,
+ python3-brotli <!nocheck>,
  python3-certifi <!nocheck>,
  python3-doc <!nodoc>,
  python3-executing <!nocheck>,
@@ -37,6 +38,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sentry-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/sentry-python.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-sentry-sdk-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,15 @@
 	and not test_circular_references \
 	and not test_has_tracestate_enabled \
 	and not test_default_release \
+	and not test_metrics \
+	and not test_transport \
+	and not test_leaks[greenlet] \
+	and not test_span_origin \
+	and not test_datetime_from_isoformat[2021-01-01T00:00:00.000000-expected_output1] \
 
 export PYBUILD_NAME=sentry_sdk
 # Disable tests failing mostly because of internet access (httpbin.org)
-export PYBUILD_TEST_ARGS=-k '\
+export PYBUILD_TEST_ARGS=--config-file=/dev/null -k '\
 	not test_basic and \
 	not test_403_not_captured and \
 	not test_half_initialized and \

## sentry-python 2.18.0

=== debian/changelog ===
sentry-python (2.18.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.18.0

  [ Antonio Terceiro ]
  * Build-Depends: add dh-python

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Nov 2024 14:42:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  William Grzybowski <william@grzy.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-python,
  python3-all,
 Build-Depends-Indep:
  dh-sequence-python3,

## sentry-python 2.19.2

=== scripts/ready_yet/requirements.txt ===
requests
pathlib
tox

=== debian/changelog ===
sentry-python (2.19.2-2) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.19.2 (Closes: #1115789)
  * debian/patches/docs-conf.py-Disable-sphinx-autodoc-for-now.patch:
    Disable sphinx-autodoc and sphinx-autodoc-typehints for now.
    (Closes: #1114367)

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Sep 2025 15:26:35 -0400

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,8 @@
  python3-responses <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
- python3-sphinx-autodoc-typehints <!nodoc>,
+# Disabled until sphinx-autodoc-typehints supports sphinx 8.2+
+# python3-sphinx-autodoc-typehints <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-typing-extensions <!nodoc>,
  python3-urllib3 <!nocheck>,

## sentry-python 2.22.0

=== Makefile ===
SHELL = /bin/bash

VENV_PATH = .venv

help:
	@echo "Thanks for your interest in the Sentry Python SDK!"
	@echo
	@echo "make apidocs: Build the API documentation"
	@echo "make aws-lambda-layer: Build AWS Lambda layer directory for serverless integration"
	@echo
	@echo "Also make sure to read ./CONTRIBUTING.md"
	@echo
	@false

.venv:
	python -m venv $(VENV_PATH)
	$(VENV_PATH)/bin/pip install tox

dist: .venv
	rm -rf dist dist-serverless build
	$(VENV_PATH)/bin/pip install wheel setuptools
	$(VENV_PATH)/bin/python setup.py sdist bdist_wheel
.PHONY: dist

apidocs: .venv
	@$(VENV_PATH)/bin/pip install --editable .
	@$(VENV_PATH)/bin/pip install -U -r ./requirements-docs.txt
	rm -rf docs/_build
	@$(VENV_PATH)/bin/sphinx-build -vv -W -b html docs/ docs/_build
.PHONY: apidocs

aws-lambda-layer: dist
	$(VENV_PATH)/bin/pip install -r requirements-aws-lambda-layer.txt
	$(VENV_PATH)/bin/python -m scripts.build_aws_lambda_layer
.PHONY: aws-lambda-layer

=== scripts/populate_tox/requirements.txt ===
jinja2
packaging
requests

=== scripts/ready_yet/requirements.txt ===
requests
tox

=== debian/changelog ===
sentry-python (2.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.22.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Sep 2025 15:47:53 -0400

sentry-python (2.19.2-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Move python3-setuptools from Build-Depends-Indep
    back to Build-Depends field because it is needed by the clean
    target.
  * debian/control: Ditto for dh-sequence-python3.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Sep 2025 16:29:39 -0400

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  William Grzybowski <william@grzy.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
+ python3-setuptools,
 Build-Depends-Indep:
- dh-sequence-python3,
  dh-sequence-sphinxdoc,
  python3-asttokens <!nocheck>,
  python3-blinker <!nocheck>,
@@ -27,7 +27,6 @@
  python3-pytest-localserver <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-responses <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
 # Disabled until sphinx-autodoc-typehints supports sphinx 8.2+
 # python3-sphinx-autodoc-typehints <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -79,11 +79,12 @@
 	not test_error_has_existing_trace_context_performance_enabled and \
 	not test_error_has_existing_trace_context_performance_disabled and \
 	not test_getaddrinfo_trace and \
+	not test_http_timeout and \
 	not test_create_connection_trace \
 	$(PYBUILD_TEST_ARGS_PYTEST7_IGNORE) \
 	'
 # Remove directory created while running tests on build
-export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/lib/python3*/dist-packages/.hypothesis
+export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/.hypothesis
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://github.com/getsentry/sentry-python.git
Matching-Pattern: refs/tags/?v?(\d[\d.]*)
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Pgpmode: none
Uversionmangle: s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/

## sentry-python 2.26.1

=== debian/changelog ===
sentry-python (2.26.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 2.26.1 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 08 Aug 2025 01:46:21 +0200

sentry-python (2.19.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 2.19.2 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 14 Jan 2025 00:13:24 +0200

sentry-python (1.39.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.39.2 release
  * Drop the debian/compat file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 09 May 2024 14:16:02 +0200

sentry-python (1.34.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.34.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 28 Dec 2023 01:07:46 +0100

sentry-python (1.31.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.31.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 31 Oct 2023 23:28:22 +0100

sentry-python (1.17.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.17.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 08 May 2023 22:01:21 +0100

sentry-python (1.12.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.12.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 20:38:54 +0100

sentry-python (1.10.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.10.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 14:57:32 +0100

sentry-python (1.9.5-1kaisen) kaisen-packages; urgency=medium

  * Import 1.9.5 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 25 Sep 2022 22:02:56 +0100

sentry-python (1.5.12-1kaisen) kaisen-packages; urgency=medium

  * Import 1.5.12 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 07 Jul 2022 22:01:32 +0100

sentry-python (1.5.10-1kaisen) kaisen-packages; urgency=medium

  * Import 1.5.10 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 06 May 2022 09:53:04 +0200

sentry-python (1.5.4-1kaisen) kaisen-packages; urgency=medium

  * Import 1.5.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 27 Feb 2022 17:41:37 +0200

sentry-python (1.3.1-1kaisen) kaisen-packages; urgency=medium

  * Import 1.3.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 01 Sep 2021 22:24:27 +0200

sentry-python (1.1.0-1kaisen) kaisen-packages; urgency=medium

  * Import 1.1.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 11 Jun 2021 16:53:36 +0200

sentry-python (1.0.0-1kaisen1) kaisen-packages; urgency=medium

  * Import 1.0.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Apr 2021 23:21:17 +0200

sentry-python (0.20.3-1kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release
  * Update compat to 13
  * Update control file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 27 Mar 2021 06:35:24 +0200

sentry-python (0.18.0-1kaisen1) kaisen-packages; urgency=medium

  * New upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sun, 04 Oct 2020 04:49:17 +0200

=== debian/control ===
Source: sentry-python
Section: python
Priority: optional
XSBC-Original-Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-blinker,
               python3-certifi,
               python3-eventlet,
               python3-gevent,
               python3-setuptools,
               python3-flask-login,
               python3-hypothesis,
               python3-pytest,
               python3-pytest-localserver,
               python3-pytest-xdist,
               python3-urllib3,
               python3-werkzeug
Standards-Version: 4.7.0
Homepage: https://github.com/getsentry/sentry-python
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/sentry-python
Vcs-Git: https://gitlab.com/kaisenlinux/packages/sentry-python.git

Package: python3-sentry-sdk
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-certifi,
         python3-urllib3
Description: New Python SDK for Sentry.io (Python 3)
 Python client for Sentry. It provides full out-of-the-box support for
 many of the popular frameworks, including Django, and Flask. Raven also
 includes drop-in support for any WSGI-compatible web application.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=sentry_sdk
# Disable tests failing mostly because of internet access (httpbin.org)
export PYBUILD_TEST_ARGS=-k '\
	not test_basic and \
	not test_403_not_captured and \
	not test_half_initialized and \
	not test_httplib_misuse and \
	not test_crumb_capture and \
	not test_errors and \
        not test_proxy_bothselect_httpenv and \
	not test_proxy_httpselect_httpsenv and \
	not test_proxy_none_noenv and \
	not test_proxy_http_fallback_http and \
	not test_proxy_none_httpenv_fallback and \
	not test_transport_works \
	'
# Remove directory created while running tests on build
export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/lib/python3*/dist-packages/.hypothesis

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installexamples:
